# Copyright (c) 2020, NVIDIA CORPORATION. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from setuptools.command.install import install
from setuptools import setup, find_packages
import os

class CustomInstallCommand(install, object):
    def run(self):
        new_path = os.path.join('https://developer.download.nvidia.com/compute/redist', '')
        raise NameError( \
"""\n###########################################################################################################
ERROR: Package nvidia-dali is now deprecated. Please install nvidia-dali-cuda110 instead:
pip install --extra-index-url {} nvidia-dali-cuda110
For more information, go to https://docs.nvidia.com/deeplearning/dali/user-guide/docs/installation.html#installing-prebuilt-dali-packages
###########################################################################################################
""".format(new_path))

setup(name='nvidia-dali',
      description='NVIDIA DALI  for CUDA 11.0. Git SHA: d6f581b3dbb209d52d3d134544ef308c2a7ff474',
      url='https://github.com/NVIDIA/dali',
      version='0.23.0',
      author='NVIDIA Corporation',
      license='Apache License 2.0',
      packages=find_packages(),
      cmdclass={
          'install': CustomInstallCommand,
      },
     )

